Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # kth_channel_view [Image View Transformations] ## Detailed Description single-channel (grayscale) view of the K-th channel of a given image_view. The channel index is a template parameter
## Classes
struct | kth_channel_view_type
| Given a source image view type View, returns the type of an image view over a given channel of View. If the channels in the source view are adjacent in memory (such as planar non-step view or single-channel view) then the return view is a single-channel non-step view. If the channels are non-adjacent (interleaved and/or step view) then the return view is a single-channel step view. More...
## Functions
template<int K, typename View>
kth_channel_view_type< K, View >::type | boost::gil::kth_channel_view (const View &src)